# $Revision: 1.9 $, $Date: 2009/10/16 10:05:37 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	SAX-Expat
Summary:	XML::SAX::Expat - SAX2 driver for Expat (XML::Parser)
Summary(pl.UTF-8):	XML::SAX::Expat - sterownik SAX2 dla modułu Expat (XML::Parser)
Name:		perl-XML-SAX-Expat
Version:	0.40
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ca58d1e26c437b31c52456b4b4ae5c4a
URL:		http://search.cpan.org/dist/XML-SAX-Expat/
BuildRequires:	perl-XML-NamespaceSupport >= 0.03
BuildRequires:	perl-XML-Parser >= 2.27
BuildRequires:	perl-XML-SAX >= 0.03
BuildRequires:	perl(XML::SAX::Base) >= 1.00
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an implementation of a SAX2 driver sitting on top of Expat
(XML::Parser).

%description -l pl.UTF-8
To jest implementacja sterownika SAX2 w oparciu o moduł Expat
(XML::Parser).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

# we want to add_parser in post, not on make install
head -n 23 Makefile.PL > Makefile.PL.tmp
mv -f Makefile.PL.tmp Makefile.PL

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
%{__perl} -MXML::SAX -e "XML::SAX->add_parser(q(XML::SAX::Expat))->save_parsers()"

%postun
if [ "$1" = "0" ]; then
	umask 022
	%{__perl} -MXML::SAX -e "XML::SAX->remove_parser(q(XML::SAX::Expat))->save_parsers()"
fi

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/XML/SAX/Expat.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-SAX-Expat.spec,v $
Revision 1.9  2009/10/16 10:05:37  amateja
- updated to 0.40

Revision 1.8  2008/04/05 18:53:23  qboosh
- generic URL

Revision 1.7  2008-04-02 09:23:50  arekm
- up to 0.39

Revision 1.6  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.4  2004/11/03 22:30:56  paladine
- formatting

Revision 1.3  2004/05/05 06:28:47  ankry
- license unification, cosmetics

Revision 1.2  2004/04/15 19:46:36  ankry
- cosmetics, unification

Revision 1.1  2004/01/07 15:48:26  qboosh
- new
